Skip to content

Governance API

POST /api/v1/govern/start

Start a new governance run for an agent.

Request:

{
  "agentId": "uuid",
  "metadata": {}
}

Response (201):

{
  "id": "uuid",
  "orgId": "uuid",
  "agentId": "uuid",
  "status": "in_progress",
  "currentGate": "plan",
  "startedAt": "2026-03-01T00:00:00Z"
}

POST /api/v1/govern/gate

Submit a gate transition.

Request:

{
  "runId": "uuid",
  "gate": "plan",
  "action": "approved",
  "actor": "[email protected]",
  "evidence": {"planReviewed": true}
}

Response:

{
  "event": {"id": "uuid", "gate": "plan", "action": "approved"},
  "nextGate": "build",
  "isComplete": false
}

Gate Values

plan | build | review_eng | remediate | review_arch | approve

Action Values

submitted | approved | rejected

POST /api/v1/govern/approve

Convenience endpoint — approves the current gate.

Request:

{
  "runId": "uuid",
  "actor": "[email protected]"
}

GET /api/v1/govern/:runId

Get run status with gate history.

Response:

{
  "run": {"id": "uuid", "status": "in_progress", "currentGate": "build"},
  "events": [
    {"gate": "plan", "action": "approved", "actor": "[email protected]"}
  ]
}